KMdiChildFrmCaption Class Reference

`#include <kmdichildfrmcaption.h>`

Inherits QWidget.

## Public Slots

void | slot_moveViaSystemMenu ()

## Public Member Functions

| KMdiChildFrmCaption (KMdiChildFrm *parent)
| ~KMdiChildFrmCaption ()
void | setActive (bool bActive)
void | setCaption (const QString &text)
int | heightHint ()

## Public Attributes

QString | m_szCaption

## Protected Member Functions

virtual void | paintEvent (QPaintEvent *e)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *e)
QString | abbreviateText (QString origStr, int maxWidth)

## Protected Attributes

KMdiChildFrm * | m_pParent
bool | m_bActive
QPoint | m_offset
bool | m_bChildInDrag

## Detailed Description

Internal class.

It's the caption bar of a child frame widget.

Definition at line 44 of file kmdichildfrmcaption.h.

## Constructor & Destructor Documentation

KMdiChildFrmCaption::KMdiChildFrmCaption | ( | KMdiChildFrm * | parent | ) |

Constructor.

Definition at line 68 of file kmdichildfrmcaption.cpp.

KMdiChildFrmCaption::~KMdiChildFrmCaption | ( |  | ) |

Destructor.

Definition at line 81 of file kmdichildfrmcaption.cpp.

## Member Function Documentation

QString KMdiChildFrmCaption::abbreviateText | ( | QString | origStr,
|  | int | maxWidth
| ) |  |

protected

Computes a new abbreviated string from a given string depending on a given maximum width.

Todo:
  Replace with a call to a KStringHandler function instead of rolling our own

Definition at line 261 of file kmdichildfrmcaption.cpp.

int KMdiChildFrmCaption::heightHint | ( |  | ) |

Returns the caption bar height depending on the used font.

Definition at line 198 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::mouseDoubleClickEvent | ( | QMouseEvent * |  | ) |

protected virtual

Calls maximizePressed of the parent widget ( KMdiChildFrm )

Definition at line 303 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::mouseMoveEvent | ( | QMouseEvent * | e | ) |

protected virtual

Checks if out of move range of the KMdiChildArea and calls KMdiChildFrm::move.

Definition at line 131 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::mousePressEvent | ( | QMouseEvent * | e | ) |

protected virtual

The same as KMdiChildFrmCaption::slot_moveViaSystemMenu.

Definition at line 86 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::mouseReleaseEvent | ( | QMouseEvent * | e | ) |

protected virtual

Restore the normal mouse cursor, set the state variable back to 'not moving'.

Definition at line 106 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::paintEvent | ( | QPaintEvent * | e | ) |

protected virtual

Draws the caption bar and its title using the settings.

Definition at line 227 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::setActive | ( | bool | bActive | ) |

Repaint the caption bar in active background colors.

Definition at line 171 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::setCaption | ( | const QString & | text | ) |

Repaint with a new caption bar title.

Definition at line 190 of file kmdichildfrmcaption.cpp.

void KMdiChildFrmCaption::slot_moveViaSystemMenu | ( |  | ) |

slot

Grabs the mouse, a move cursor, sets a move indicator variable to true and keeps the global mouse position in mind.

Definition at line 310 of file kmdichildfrmcaption.cpp.

## Member Data Documentation

bool KMdiChildFrmCaption::m_bActive

protected

state variable indicating whether activated or not activated

Definition at line 127 of file kmdichildfrmcaption.h.

bool KMdiChildFrmCaption::m_bChildInDrag

protected

True if the child knows that it is currently being dragged.

Definition at line 137 of file kmdichildfrmcaption.h.

QPoint KMdiChildFrmCaption::m_offset

protected

the position offset related to its parent widget (internally used for translating mouse move positions

Definition at line 132 of file kmdichildfrmcaption.h.

KMdiChildFrm* KMdiChildFrmCaption::m_pParent

protected

parent widget

Definition at line 122 of file kmdichildfrmcaption.h.

QString KMdiChildFrmCaption::m_szCaption

the title string shown in the caption bar

Definition at line 116 of file kmdichildfrmcaption.h.

The documentation for this class was generated from the following files:

- kmdichildfrmcaption.h
- kmdichildfrmcaption.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys